> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Technology Stats

> The Technology Stats endpoint will provide you with historical data on the number of domains across different countries and languages that use the specified ...



## OpenAPI

````yaml openapi/dataforseo.json POST /dataforseo/domain_analytics/technologies/technology_stats/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: DataForSEO API endpoints exposed through the AIsa unified gateway.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/domain_analytics/technologies/technology_stats/live:
    post:
      summary: Technology Stats
      description: >-
        The Technology Stats endpoint will provide you with historical data on
        the number of domains across different countries and languages that use
        the specified technology.
      operationId: post_dataforseo_domain_analytics_technologies_technology_stats_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                technology:
                  type: string
                  description: >-
                    target technology required field you can find the full list
                    of technologies you can specify here on this page example:
                    "Salesforce"
                date_from:
                  type: string
                  description: >-
                    starting date of the time range optional field minimum
                    value: 2022-10-31 if you don’t specify this field, the
                    minimum value will be used by default date format:
                    "yyyy-mm-dd" example: "2023-06-01"
                date_to:
                  type: string
                  description: >-
                    ending date of the time range optional field if you don’t
                    specify this field, the today’s date will be used by default
                    date format: "yyyy-mm-dd" example: "2023-01-15"
                tag:
                  type: string
                  description: >-
                    user-defined task identifier optional field the character
                    limit is 255 you can use this parameter to identify the task
                    and match it with the result you will find the specified tag
                    value in the data object of the response
              required:
                - technology
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: the current version of the API
                  status_code:
                    type: integer
                    description: >-
                      general status code you can find the full list of the
                      response codes here Note: we strongly recommend designing
                      a necessary system for handling related exceptional or
                      error conditions
                  status_message:
                    type: string
                    description: >-
                      general informational message you can find the full list
                      of general informational messages here
                  time:
                    type: string
                    description: execution time, seconds
                  cost:
                    type: number
                    description: total tasks cost, USD
                  tasks_count:
                    type: integer
                    description: the number of tasks in the tasks array
                  tasks_error:
                    type: integer
                    description: >-
                      the number of tasks in the tasks array returned with an
                      error
                  tasks:
                    type: array
                    items:
                      type: string
                    description: array of tasks
                  tasks.id:
                    type: string
                    description: >-
                      task identifier unique task identifier in our system in
                      the UUID format
                  tasks.status_code:
                    type: integer
                    description: >-
                      status code of the task generated by DataForSEO; can be
                      within the following range: 10000-60000 you can find the
                      full list of the response codes here
                  tasks.status_message:
                    type: string
                    description: >-
                      informational message of the task you can find the full
                      list of general informational messages here
                  tasks.time:
                    type: string
                    description: execution time, seconds
                  tasks.cost:
                    type: number
                    description: cost of the task, USD
                  tasks.result_count:
                    type: integer
                    description: number of elements in the result array
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL path
                  tasks.data:
                    type: object
                    description: >-
                      contains the same parameters that you specified in the
                      POST request
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: array of results
                  tasks.result.technology:
                    type: string
                    description: target technology
                  tasks.result.date_from:
                    type: string
                    description: starting date of the time range
                  tasks.result.date_to:
                    type: string
                    description: ending date of the time range
                  tasks.result.items_count:
                    type: integer
                    description: number of items in the results array
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: items array
                  tasks.result.items.type:
                    type: string
                    description: type of the item = ‘technology_stats_item’
                  tasks.result.items.date:
                    type: string
                    description: date for which the data is provided
                  tasks.result.items.domains_count:
                    type: integer
                    description: number of domains that use the specified technology
                  tasks.result.items.countries:
                    type: object
                    description: >-
                      distribution of websites by country contains country codes
                      and number of websites per country
                  tasks.result.items.languages:
                    type: object
                    description: >-
                      distribution of websites by language contains language
                      codes and number of websites per language
                  tasks.result.items.domains_rank:
                    type: object
                    description: >-
                      distribution of websites by backlink rank contains domain
                      rank ranges and number of websites per range learn more
                      about rank and how it is calculated in this help center
                      article
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '429':
          description: Rate limit exceeded
        '500':
          description: Internal server error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````